import Api,{ HttpResponse, Result } from './../utils/request';

class SpiderService{
    
    static async GetDmcSourcePage(params : any):Promise<HttpResponse>{
        return Api.Post("hotel_post_GetDmcSourcePage",params)
    }

    static async GetDiningUseType():Promise<HttpResponse>{
        return Api.Post("dining_get_GetDiningUseType",{})
    }

    static async GetDiningPriceType(params : any):Promise<HttpResponse>{
        return Api.Post("dining_get_GetDiningPriceType",params)
    }

    static async GetDiningType(params : any):Promise<HttpResponse>{
        return Api.Post("dining_get_GetDiningType",params)
    }

    static async GetChildList(params : any):Promise<HttpResponse>{
        return Api.Post("dict_post_Destination_GetChildList",params)
    }

    static async GetThirdPartyResourceAsync(params : any):Promise<HttpResponse>{
        return Api.Post("mongoscenic_GetMongoScenicPage",params)
    }

    static async GetSourcesAsync(params : any):Promise<HttpResponse>{
        return Api.Post("hotel_post_GetDmcSourcePage",params)
    }
}

export default SpiderService